Package tigase.osgi

## Interface ModulesManager

- All Known Implementing Classes:
    `ModulesManagerImpl`

      public interface ModulesManager

  Author:
    andrzej

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `forName​(java.lang.String className)` |
    `void` | `registerClass​(java.lang.Class<?> cls)` |
    `void` | `registerPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginCls)` | Deprecated.
    `void` | `registerServerComponentClass​(java.lang.Class<? extends Configurable> compCls)` | Deprecated.
    `void` | `unregisterClass​(java.lang.Class<?> cls)` |
    `void` | `unregisterPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginCls)` | Deprecated.
    `void` | `unregisterServerComponentClass​(java.lang.Class<? extends Configurable> compCls)` | Deprecated.
    `void` | `update()` |

- - ### Method Detail

    - #### registerClass

          void registerClass​(java.lang.Class<?> cls)

    - #### unregisterClass

          void unregisterClass​(java.lang.Class<?> cls)

    - #### registerPluginClass

          @Deprecated
          void registerPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginCls)

      Deprecated.

    - #### unregisterPluginClass

          @Deprecated
          void unregisterPluginClass​(java.lang.Class<? extends XMPPImplIfc> pluginCls)

      Deprecated.

    - #### registerServerComponentClass

          @Deprecated
          void registerServerComponentClass​(java.lang.Class<? extends Configurable> compCls)

      Deprecated.

    - #### unregisterServerComponentClass

          @Deprecated
          void unregisterServerComponentClass​(java.lang.Class<? extends Configurable> compCls)

      Deprecated.

    - #### update

          void update()

    - #### forName

          java.lang.Class<?> forName​(java.lang.String className)
                              throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`